python-djvulibre (0.8) unstable; urgency=low

  * Fix Windows support. It is now possible to build the package using the
    default compiler, Microsoft Visual C++ Compiler for Python.
    https://github.com/jwilk/python-djvulibre/issues/1
    + Remove support for cross-compiling using MinGW.
  * Fix test failures on non-Linux systems.
  * Improve documentation:
    + Fix doctests' compatibility with Python 3.6.
    + Don't require TeX distribution to render math formulas.
    + Simplify some module docstrings.
    + Fix typos in docstrings.
    + Update bug tracker URLs.
      The project repo has moved to GitHub.
  * Improve the setup script:
    + Check Cython version.
    + Use “python -m cython” instead of the “cython” script.
    + Report build-time requirements to pip.
    + Don't use setuptools, except on Windows.
    + Remove poorly standardized “platforms” metadata key. (The information
      about supported platform is available in the “Operating System”
      classifiers.)
    + Add the “Programming Language :: Cython” classifier.
  * Don't hardcode the Python interpreter path in script shebangs; use
    “#!/usr/bin/env python” instead.

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 05 Aug 2016 22:52:25 +0200

python-djvulibre (0.7.2) unstable; urgency=low

  * Fix compatibility with Cython 0.24.
  * Fix typo in the documentation.

 -- Jakub Wilk <jwilk@jwilk.net>  Thu, 12 May 2016 14:07:13 +0200

python-djvulibre (0.7.1) unstable; urgency=low

  * Update URL for “actual and proposed changes to the DjVu format”.
  * Use HTTPS for sourceforge.net URLs.
  * Fix a few typos in the documentation.
  * Improve the test suite:
    + Normalize whitespace in ps2ascii output.

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 11 Mar 2016 22:09:00 +0100

python-djvulibre (0.7) unstable; urgency=low

  * Make Expression.from_string() accept both Unicode and byte strings.
  * Implement __unicode__() for expressions.
  * Implement __float__() for integer expressions.
  * Be more liberal about object types that can be passed to escape_unicode.
  * Fix the long(<intexpr>) return type with Cython 0.23 and Python 2.6.
    https://mail.python.org/pipermail/cython-devel/2015-August/004485.html
  * Improve setup.py:
    + Put files that vary with Python version (*.c, config.pxi) into a
      version-specific temporary directory.
      With this change, it's possible to build against multiple Python
      versions in parallel.
  * Update BibTeX URL in the documentation.
  * Improve the test suite.

 -- Jakub Wilk <jwilk@jwilk.net>  Tue, 25 Aug 2015 23:46:20 +0200

python-djvulibre (0.6.1) unstable; urgency=low

  * Fix the DjVuLibre version check.
  * Add “const” to variable declarations and function prototypes.
  * Optimize S-expression input/output.
  * Require Cython >= 0.19, or Cython >= 0.20 for Python 3.
    + Remove work-arounds for older versions.
  * Don't pass -Wno-uninitialized to the compiler. (Modern versions of Cython
    don't generate code that would trigger this warning.)
  * Require pkg-config for building on POSIX systems.

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 14 Aug 2015 16:22:44 +0200

python-djvulibre (0.6) unstable; urgency=low

  * Fix build failure with Cython 0.23.
  * Document which software if required to build the package.
  * Require DjVuLibre >= 3.5.21:
    + Add version check to the setup script.
    + Remove work-arounds for older versions.
    + Remove documentation warnings about older versions.
  * Remove the DjVuLibreBug class.
  * Improve the test suite.

 -- Jakub Wilk <jwilk@jwilk.net>  Wed, 12 Aug 2015 19:12:01 +0200

python-djvulibre (0.5) unstable; urgency=low

  * Make print_into() raise exceptions properly instead of just printing them
    on stderr.
  * Make it possible to print S-expressions into file-like objects created by
    codecs.open().
  * Make djvu.sexpr.__version__ a byte string in Python 2.X.
  * Don't include DjVu file format version in djvu.decode.__version__.
    This information is more conveniently available in
    djvu.decode.DDJVU_VERSION.
  * Make S-expression input/output methods reentrant.
    (DjVuLibre >= 3.5.26 is required for this feature.)
  * Improve error handling.
  * Improve the test suite.

 -- Jakub Wilk <jwilk@jwilk.net>  Sun, 02 Aug 2015 17:45:08 +0200

python-djvulibre (0.4.1) unstable; urgency=low

  * Exclude djvu/config.pxi from the source tarball.
    Thanks to Daniel Stender for the bug report.
    https://github.com/jwilk/python-djvulibre/issues/4

 -- Jakub Wilk <jwilk@jwilk.net>  Mon, 27 Jul 2015 10:28:21 +0200

python-djvulibre (0.4) unstable; urgency=low

  * Drop support for Python 2.5.
  * Add the lvalue attribute to expressions.
    This is the same as value, except that Lisp lists are mapped to Python
    lists, rather than Python tuples.
  * Use the lvalue in __repr__().
  * Make Symbol objects comparable using “<” and other inequality operators.
  * Make it possible to disable octal-escaping of non-ASCII Unicode characters
    when printing expressions into a file.
  * Stop using sphinx.ext.intersphinx.
    Making it work offline and consistently across different Python versions
    is too much of a hassle, and it was used only to cross-reference one
    well-known exception (IOError).
  * Make djvu.decode.__version__ a byte string in Python 2.X.
  * Improve the test suite.

 -- Jakub Wilk <jwilk@jwilk.net>  Wed, 22 Jul 2015 21:05:11 +0200

python-djvulibre (0.3.10) unstable; urgency=low

  * Improve error handling in examples.
  * Improve the test suite:
    + When running external programs, don't reset environment completely, but
      only set LC_ALL=C.
    + Skip more tests (instead of making them fail) when they are run in
      an unsuitable environment.
    + Correctly detect ASCII locale encoding on FreeBSD (and possibly other
      non-GNU systems).
    + Don't hard-code libc error messages.
    + Fix test_bad_io failures with Cython ≥ 0.21.
  * Improve setup.py:
    + Make it possible to build the package natively on Windows.
      https://github.com/jwilk/python-djvulibre/issues/1
  * Use HTTPS URLs when they are available, in documentation and code.

 -- Jakub Wilk <jwilk@jwilk.net>  Tue, 04 Nov 2014 11:44:09 +0100

python-djvulibre (0.3.9) unstable; urgency=low

  * Ensure that all S-expression output is 7-bit.
    This is work-around for <https://bugs.debian.org/664626>.

 -- Jakub Wilk <jwilk@jwilk.net>  Mon, 19 Mar 2012 20:41:53 +0100

python-djvulibre (0.3.8) unstable; urgency=low

  * Ensure that S-expression input/output functions are always initialized.
    This is work-around for <https://bugs.debian.org/664442>.

 -- Jakub Wilk <jwilk@jwilk.net>  Sun, 18 Mar 2012 23:44:55 +0100

python-djvulibre (0.3.7) unstable; urgency=low

  * Use floor division operator instead of relying on “classic” division
    semantics.

 -- Jakub Wilk <jwilk@jwilk.net>  Wed, 14 Mar 2012 08:32:35 +0100

python-djvulibre (0.3.6) unstable; urgency=low

  * Improve test suite:
    + Fix compatibility with Python 3.X (broken in 0.3.5).
    + Test expression parsing again.
    + Capture stderr output for tests which produce unhandled exceptions.
  * Fix compatibility with Python 2.5 (broken since 0.3.0).

 -- Jakub Wilk <jwilk@jwilk.net>  Tue, 06 Mar 2012 00:14:57 +0100

python-djvulibre (0.3.5) unstable; urgency=low

  * Improve setup.py:
    + Fix error message when pkg-config is not found (a regression introduced
      in 0.3.4).
  * Improve test suite:
    + Verify that LANGUAGE environment variable is unset before running tests
      sensitive to locale settings. Thanks to Daniel Stender for the bug
      report.
    + Skip some tests (instead of making them fail) when they are run in
      an unsuitable environment. Note that it's still recommended to use
      --no-skip when running the test suite.

 -- Jakub Wilk <jwilk@jwilk.net>  Sat, 18 Feb 2012 21:05:41 +0100

python-djvulibre (0.3.4) unstable; urgency=low

  * Optimize DocumentPages.__len__() and DocumentFiles.__len__().
  * Fix compatibility with Python 3.X (broken in 0.3.3).
  * Update various external documentation URLs.
    https://bugs.debian.org/627290
  * Improve test suite:
    + Normalize whitespace in ps2ascii output.
      https://bugs.debian.org/646177
  * Improve setup.py:
    + Print a more meaningful error message if pkg-config fails.
    + build_sphinx is now available even without setuptools.
    + build_sphinx can now import extension modules from the build directory.

 -- Jakub Wilk <jwilk@jwilk.net>  Sat, 22 Oct 2011 01:36:38 +0200

python-djvulibre (0.3.3) unstable; urgency=low

  * Improve setup.py:
    + Add “Operating System :: Microsoft :: Windows” to trove classifiers.
  * Add Windows-specific module djvu.dllpath, which is aimed to ease finding
    DjVuLibre DLLs in non-standard locations.
  * Make expression and symbol objects picklable.
  * Add work-around for <https://bugs.debian.org/620859>.
  * Fix test suite compatibility with Python 3.

 -- Jakub Wilk <jwilk@jwilk.net>  Mon, 04 Apr 2011 21:06:01 +0200

python-djvulibre (0.3.2) unstable; urgency=low

  * Python ≥ 2.6: make djvu.sexpr.ListExpression a “virtual subclass” of
    collections.MutableSequence.
  * Add append, count, extend, index, insert, pop, remove and reverse methods
    for list expressions.
  * Add ‘+=’ and ‘del’ operators for list expressions.
  * Fix compatibility with Cython 0.12.
  * Fix compatibility with some non-POSIX operating systems.
  * Add work-around for <https://bugs.python.org/issue969718>.
  * Improve setup.py:
    + Add work-around for <https://bugs.debian.org/607112>.
    + Make ‘clean --all’ remove temporary *.pxi and *.c files.
    + Don't import Cython modules; calls the ‘cython’ binary instead.
    + Allow cross-compilation using MinGW cross compiler.

 -- Jakub Wilk <jwilk@jwilk.net>  Wed, 15 Dec 2010 21:17:39 +0100

python-djvulibre (0.3.1) unstable; urgency=low

  * Add another example program.
  * Fix encoding issues with djvu.decode.ErrorMessage. Thanks to Kyrill
    Detinov for the bug report.

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 19 Nov 2010 17:44:51 +0100

python-djvulibre (0.3.0) unstable; urgency=low

  * Add support for Python 3.
  * Fix tests on 64-bit architectures.
  * Fix compatibility with Cython 0.13.
  * Message.message are now always Unicode strings.

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 29 Oct 2010 01:51:33 +0200

python-djvulibre (0.1.18) unstable; urgency=low

  * Fix handling of non-ASCII metadata.

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 25 Jun 2010 23:32:05 +0200

python-djvulibre (0.1.17) unstable; urgency=low

  * Allow rendering images directly into a writable buffer (e.g. an array),
    rather than to a newly created string. That should ease integration of
    python-djvulibre with e.g. numpy or cairo.
  * Add two simple example programs.

 -- Jakub Wilk <jwilk@jwilk.net>  Thu, 11 Feb 2010 17:48:36 +0100

python-djvulibre (0.1.16) unstable; urgency=low

  * Make reading S-expression from streams more efficient.
  * Fix exception handling while reading/writing S-expression from/to streams.

 -- Jakub Wilk <jwilk@jwilk.net>  Sun, 03 Jan 2010 12:52:12 +0100

python-djvulibre (0.1.15) unstable; urgency=low

  * Don't let text zones compare equal to unrelated objects.

 -- Jakub Wilk <jwilk@jwilk.net>  Wed, 04 Nov 2009 20:02:07 +0100

python-djvulibre (0.1.14) unstable; urgency=low

  * Fix infinite recursion when comparing a text zone with a string. Thanks to
    Rogério Brito for the bug report.

 -- Jakub Wilk <jwilk@jwilk.net>  Thu, 03 Sep 2009 23:36:47 +0200

python-djvulibre (0.1.13) unstable; urgency=low

  * Fix major breakage introduced in 0.1.12. Thanks to Piotr Ożarowski for
    reporting that.
  * Get rid of some spurious warnings.

 -- Jakub Wilk <jwilk@jwilk.net>  Sun, 16 Aug 2009 10:49:42 +0200

python-djvulibre (0.1.12) unstable; urgency=low

  * Use Cython (rather than Pyrex) to compile sources.

 -- Jakub Wilk <jwilk@jwilk.net>  Thu, 13 Aug 2009 13:07:16 +0200

python-djvulibre (0.1.11) unstable; urgency=low

  * Provide a bit more comprehensive documentation.

 -- Jakub Wilk <jwilk@jwilk.net>  Tue, 14 Jul 2009 16:33:13 +0200

python-djvulibre (0.1.10) unstable; urgency=low

  * Remove the `PageInfo` class (it served no purpose).
  * Work around a Pyrex compilation bug.

 -- Jakub Wilk <jwilk@jwilk.net>  Tue, 07 Jul 2009 23:12:27 +0200

python-djvulibre (0.1.9) unstable; urgency=low

  * Fill up the package metadata.

 -- Jakub Wilk <jwilk@jwilk.net>  Sat, 16 May 2009 11:05:45 +0200

python-djvulibre (0.1.8) unstable; urgency=low

  * Enable compilation with recent Pyrex.

 -- Jakub Wilk <jwilk@jwilk.net>  Sat, 12 Jul 2008 12:10:08 +0200

python-djvulibre (0.1.7) unstable; urgency=low

  * Protect from collecting just created S-expressions.

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 20 Jun 2008 12:39:24 +0200

python-djvulibre (0.1.6) unstable; urgency=low

  * Call `Context.handle_message()` *before* any blocking method finishes.
  * Better error handling in `Page.decode()`.

 -- Jakub Wilk <jwilk@jwilk.net>  Wed, 14 May 2008 11:19:52 +0200

python-djvulibre (0.1.5) unstable; urgency=low

  * Fix a race condition in `DocumentDecodingJob.wait()`.
  * `DocumentPages` and `DocumentFiles` checks for actual length and raises
    `IndexError` exceptions.
  * Add `Page.size` and `PageJob.size` properties.
  * Remove spurious overflow checks.

 -- Jakub Wilk <jwilk@jwilk.net>  Wed, 07 May 2008 18:36:51 +0200

python-djvulibre (0.1.4) unstable; urgency=low

  * Initial release.

 -- Jakub Wilk <jwilk@jwilk.net>  Wed, 07 May 2008 00:17:17 +0200
